class GamegenreController < ApplicationController

  # Make sure that a user logs in before doing any action here
  before_filter :authorize

  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @gamegenre_pages, @gamegenres = paginate :gamegenres, :per_page => 10
  end

  def show
    @gamegenre = Gamegenre.find(params[:id])
  end

  def new
    @gamegenre = Gamegenre.new
  end

  def create
    @gamegenre = Gamegenre.new(params[:gamegenre])
    if @gamegenre.save
      flash[:notice] = 'Gamegenre was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @gamegenre = Gamegenre.find(params[:id])
  end

  def update
    @gamegenre = Gamegenre.find(params[:id])
    if @gamegenre.update_attributes(params[:gamegenre])
      flash[:notice] = 'Gamegenre was successfully updated.'
      redirect_to :action => 'show', :id => @gamegenre
    else
      render :action => 'edit'
    end
  end

  def destroy
    Gamegenre.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
